Skip to main content
GET
/
api
/
v1
/
workflows
/
runs
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/workflows/runs
{
  "items": [
    {
      "id": "<string>",
      "workflow_id": "<string>",
      "workflow_version": 123,
      "project_id": "<string>",
      "trigger_type": "manual",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "trigger_source": "<string>",
      "input_json": "<string>",
      "output_json": "<string>",
      "error_message": "<string>",
      "parent_run_id": "<string>",
      "correlation_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "duration_ms": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}

Query Parameters

projectId
string

Project ID filter

workflowId
string

Workflow ID filter

status
enum<string>

Status filter Workflow run status

Available options:
pending,
running,
paused,
completed,
failed,
cancelled,
timed_out
startTime
string<date-time>

Start time

endTime
string<date-time>

End time

limit
integer<int32>
default:20

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)